#!/bin/sh

# (c) Alexander Leidinger  <Alexander@Leidinger.net>
# BSD style license

# ftpchroot in login.conf not handled!

for i in $(cat /etc/ftpchroot); do
  dir="$(grep "${i}" /etc/passwd | awk -F : '{print $6}')"
  if [ ! -f ${dir}/etc/pwd.db ]; then
    echo "Missing etc/pwd.db for user ${i} in ${dir}."
  fi
done
